Subject: Re: bug#40733: 28.0.50; Emacs locks up on paste (yank) of unicode characters

From: Will Bush <[email-masked]>
Date: Tue, 17 May 2022 22:39:37 -0500

Sorry for the late reply. I will create a Debian VM and see if I can
replicate it with the latest Emacs version built from source and get back
to you. I did notice in a internet search that there's another bug
referencing this one
https://mail.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00169.html

On Sun, Apr 24, 2022 at 9:20 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Will Bush <[email-masked]> writes:
>
> > git clone https://github.com/adobe-fonts/adobe-blank.git
> > cd adobe-blank
> > sudo cp AdobeBlank.ttf /usr/share/fonts/
> > fc-cache
> > time emacs -Q --eval '(message "︵")' -kill
> >
> > And it took 4 minutes in the virtual machine!
>
> I tried this on Debian/bookworm with Emacs 28.1 (and 29), but was unable
> to see anything odd -- but Emacs chose to use the Noto font for that
> character here.
>
> Are you still seeing this problem in recent Emacs/OS versions?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>